Yder Logging library written in C

Loading...
Searching...
No Matches
Functions
Logging function

## Functions
void | y_log_message (const unsigned long type, const char *message,...)

## Detailed Description

## Function Documentation

## ◆ y_log_message()

void y_log_message | ( | const unsigned long | type,
|  | const char * | message,
|  |  | ...
| ) |  |

Log a message using current parameters

Parameters

  type | type of the log message Values available are Y_LOG_LEVEL_ERROR, Y_LOG_LEVEL_WARNING, Y_LOG_LEVEL_INFO or Y_LOG_LEVEL_DEBUG
  message | the message to log, using printf format